[Pkg-mono-svn-commits] [SCM] mono branch, master-experimental, updated. debian/2.10.1-4-48-g98bf4a8

Mirco Bauer meebey at meebey.net
Wed Aug 10 20:17:26 UTC 2011


The following commit has been merged in the master-experimental branch:
commit 98bf4a886a6613b74723efa133829bef20bf54e6
Author: Mirco Bauer <meebey at meebey.net>
Date:   Wed Aug 10 22:16:35 2011 +0200

    Added CLI 4.0 support to mono-api-check

diff --git a/debian/mono-api-check b/debian/mono-api-check
index c5bd01b..1d50e18 100755
--- a/debian/mono-api-check
+++ b/debian/mono-api-check
@@ -1,22 +1,8 @@
 #!/bin/bash
 
 NAME=$(basename $0)
-MONO_API_INFO1="/usr/lib/mono/1.0/mono-api-info.exe"
-MONO_API_INFO2="/usr/lib/mono/2.0/mono-api-info.exe"
-MONO_API_DIFF="/usr/lib/mono/2.0/mono-api-diff.exe"
-
-RUNTIME_VERSION=2
-if [ "$1" = "-2" ]; then
-	if [ ! -x $MONO_API_INFO2 ]; then
-		echo "Error: $MONO_API_INFO2 does not exist, you need to install the mono-devel package"
-		exit 1
-	fi
-	MONO_API_INFO=$MONO_API_INFO2
-	RUNTIME_VERSION=2
-	shift
-else
-	MONO_API_INFO=$MONO_API_INFO1
-fi
+MONO_API_INFO="mono-api-info"
+MONO_API_DIFF="mono /usr/lib/mono/4.0/mono-api-diff.exe"
 
 KEEP=0
 if [ "$1" = "-k" ]; then
@@ -25,7 +11,7 @@ if [ "$1" = "-k" ]; then
 fi
 
 if [ $# -lt 2 ]; then
-	echo "usage: $NAME [-2] [-k] old.dll|deb|changes new.dll|deb|changes"
+	echo "usage: $NAME [-k] old.dll|deb|changes new.dll|deb|changes"
 	exit 1
 fi
 
@@ -74,9 +60,6 @@ if ! [ "$1" = "${1%.deb}" ]; then
 		#echo $DLL1
 		#echo $DLL2
 
-		if [ $RUNTIME_VERSION = 2 ]; then
-			RUNTIME_VERSION_PARAM="-2"
-		fi
 		if [ $KEEP = 1 ]; then
 			KEEP_PARAM="-k"
 		fi
@@ -106,9 +89,6 @@ if ! [ "$1" = "${1%.changes}" ]; then
 		PKG_ARCH=$(dpkg -I $DEB_DIR1/$DEB1  | grep Architecture: | cut -d ':' -f 2 | sed -e 's/^ *//')
 		DEB2=$DEB_DIR2/${PKG_NAME}_${PKG_VERSION2}_${PKG_ARCH}.deb
 
-		if [ $RUNTIME_VERSION = 2 ]; then
-			RUNTIME_VERSION_PARAM="-2"
-		fi
 		if [ $KEEP = 1 ]; then
 			KEEP_PARAM="-k"
 		fi
@@ -126,17 +106,17 @@ API_OLD=$(tempfile --suffix=_$ASM_NAME.api-old)
 API_NEW=$(tempfile --suffix=_$ASM_NAME.api-new)
 API_DIFF=$(tempfile --suffix=_$ASM_NAME.api-diff)
 
-/usr/bin/cli ${MONO_API_INFO} "$1" > ${API_OLD} 2> /dev/null
+${MONO_API_INFO} "$1" > ${API_OLD} 2> /dev/null
 if [ $? != 0 ]; then
 	echo "Error: ${MONO_API_INFO} on $1 failed!"
 	exit 1
 fi
-/usr/bin/cli ${MONO_API_INFO} "$2" > ${API_NEW} 2> /dev/null
+${MONO_API_INFO} "$2" > ${API_NEW} 2> /dev/null
 if [ $? != 0 ]; then
 	echo "Error: ${MONO_API_INFO} on $2 failed!"
 	exit 1
 fi
-/usr/bin/cli ${MONO_API_DIFF} ${API_OLD} ${API_NEW} > ${API_DIFF} 2> /dev/null
+${MONO_API_DIFF} ${API_OLD} ${API_NEW} > ${API_DIFF} 2> /dev/null
 if [ $? != 0 ]; then
 	echo "Error: ${MONO_API_DIFF} failed!"
 	exit 1

-- 
mono



More information about the Pkg-mono-svn-commits mailing list